org.apache.ignite.internal.visor.debug

## Class VisorThreadInfo

- java.lang.Object
- - org.apache.ignite.internal.visor.debug.VisorThreadInfo

All Implemented Interfaces:
  Serializable

    public class VisorThreadInfo
    extends Object
    implements Serializable

Data transfer object for Visor `ThreadInfo`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorThreadInfo(String name, Long id, Thread.State state, VisorThreadLockInfo lock, String lockName, Long lockOwnerId, String lockOwnerName, Boolean inNative, Boolean suspended, Long waitedCnt, Long waitedTime, Long blockedCnt, Long blockedTime, StackTraceElement[] stackTrace, VisorThreadLockInfo[] locks, VisorThreadMonitorInfo[] lockedMonitors)` Create thread info with given parameters.

### Method Summary

Methods
`Long` `blockedCount()`
`Long` `blockedTime()`
`static VisorThreadInfo` `from(ThreadInfo ti)` Create data transfer object for given thread info.
`Long` `id()`
`Boolean` `inNative()`
`VisorThreadLockInfo` `lock()`
`VisorThreadMonitorInfo[]` `lockedMonitors()`
`String` `lockName()`
`Long` `lockOwnerId()`
`String` `lockOwnerName()`
`VisorThreadLockInfo[]` `locks()`
`String` `name()`
`StackTraceElement[]` `stackTrace()`
`Thread.State` `state()`
`Boolean` `suspended()`
`String` `toString()`
`Long` `waitedCount()`
`Long` `waitedTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorThreadInfo

    public VisorThreadInfo(String name,
                   Long id,
                   Thread.State state,
                   VisorThreadLockInfo lock,
                   String lockName,
                   Long lockOwnerId,
                   String lockOwnerName,
                   Boolean inNative,
                   Boolean suspended,
                   Long waitedCnt,
                   Long waitedTime,
                   Long blockedCnt,
                   Long blockedTime,
                   StackTraceElement[] stackTrace,
                   VisorThreadLockInfo[] locks,
                   VisorThreadMonitorInfo[] lockedMonitors)

Create thread info with given parameters.

### Method Detail

#### from

    public static VisorThreadInfo from(ThreadInfo ti)

Create data transfer object for given thread info.

#### name

    public String name()

Returns:
  Thread name.

#### id

    public Long id()

Returns:
  Thread ID.

#### state

    public Thread.State state()

Returns:
  Thread state.

#### lock

    public VisorThreadLockInfo lock()

Returns:
  Lock information.

#### lockName

    public String lockName()

Returns:
  Lock name.

#### lockOwnerId

    public Long lockOwnerId()

Returns:
  Lock owner thread ID.

#### lockOwnerName

    public String lockOwnerName()

Returns:
  Lock owner name.

#### inNative

    public Boolean inNative()

Returns:
  Thread executing native code.

#### suspended

    public Boolean suspended()

Returns:
  Thread is suspended.

#### waitedCount

    public Long waitedCount()

Returns:
  Waited count.

#### waitedTime

    public Long waitedTime()

Returns:
  Waited time.

#### blockedCount

    public Long blockedCount()

Returns:
  Blocked count.

#### blockedTime

    public Long blockedTime()

Returns:
  Blocked time.

#### stackTrace

    public StackTraceElement[] stackTrace()

Returns:
  Stack trace.

#### locks

    public VisorThreadLockInfo[] locks()

Returns:
  Locks info.

#### lockedMonitors

    public VisorThreadMonitorInfo[] lockedMonitors()

Returns:
  Locked monitors.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015